Subject: Re: [PATCH] dnet: Dave DNET ethernet controller driver

From: Robert Schwebel <[email-masked]>
Date: Fri, 13 Mar 2009 20:49:41 +0100

On Thu, Mar 12, 2009 at 07:05:54AM -0700, David Miller wrote:
> From: Michael Cashwell <[email-masked]>
> Date: Thu, 12 Mar 2009 09:41:38 -0400
> 
> > I'm confused by this. If I'm NFS-booting the board then how do I get
> > to those userland tools if I don't have a valid MAC address in place
> > to do the root mount?
> 
> Initial ramdisk.

That's maybe the right solution for big machines, but for small embedded
systems it's absolutely overkill. We have used Linux on several ten ARM
and PowerPC boards, and the only reason we ever needed an initrd was
on an IXP425 who needed a strange firmware which had a license.

Embedded boxes are often short on RAM, so wasting megabytes of space on
a box that maybe has 8...16 MB RAM just because of a mac address doesn't
sound like a good solution.

rsc
-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |